Favourite Host

RunCloud (free 5 day trial)

Install Service

Premium Support

Forums

Login or register to post.

Servererror: Wrong php-Version

12

Hi communityfirst of all sorry about my bad English, but I hope I can explain my problem:I installed the script and there occured no problems. But when users want to buy pixels then occures an "internal server-error in the file "get_pixels.php" and also in some other files.I tried to run the script with an older php-Version: then the millionDollarScript works.Unfortunally I'cant change the current php-Version (5.4) to an older version, because our cms-System in the same website works with 5.4.Is there any solution or hint?

Have you tried the development snapshot yet?If you have then please post the full error you get which you should be able to find in your web server's error log file.

Hithanks a lot for Your answer. Then error-message is:PHP Strict Standards: Only variables should be passed by reference in C:Inetpubvhostskkht.dehttpdocsincludefunctions.php on line 1282I hope you can help me...

Have you tried the development snapshot?

Shame on me, but how can I manage developement snapshot? Is it an external tool?

You can download it here: https://milliondollarscript.com/downloads/million-dollar-script/million-dollar-script-svn-snapshot/It basically takes a download from github which is the latest source code.

Oh I understand.Yes I installed this version. (date of Files is the 1th of septembre in 2013 (Timestemp 15:09)

So you still have the error with the development snapshot and PHP 5.4 then?

So it is

Can you please paste that line from the file?C:Inetpubvhostskkht.dehttpdocsincludefunctions.php on line 1282

12